diff -ur slackware64-current.2/source/xap/MPlayer/MPlayer.SlackBuild slackware64-current.3/source/xap/MPlayer/MPlayer.SlackBuild
--- slackware64-current.2/source/xap/MPlayer/MPlayer.SlackBuild	2024-08-13 22:24:01.170970951 +0200
+++ slackware64-current.3/source/xap/MPlayer/MPlayer.SlackBuild	2025-01-07 13:31:36.843360180 +0100
@@ -250,6 +250,9 @@
 # fix building against samba 4:
 zcat $SRCDIR/include-samba-4.0.patch.gz | patch -p1 --verbose || exit 1
 
+# Adding riscv64, or1k and loongarch64 support to configure:
+zcat $SRCDIR/newproc-support.diff.gz | patch -p1 --verbose || exit 1
+
 echo Building ...
 # MPlayer wants to automatically determine compiler flags,
 # so we don't provide CFLAGS.
diff -ur slackware64-current.2/source/xap/audacious/audacious.SlackBuild slackware64-current.3/source/xap/audacious/audacious.SlackBuild
--- slackware64-current.2/source/xap/audacious/audacious.SlackBuild	2024-06-15 18:49:33.822118074 +0200
+++ slackware64-current.3/source/xap/audacious/audacious.SlackBuild	2024-06-17 18:39:15.241832461 +0200
@@ -28,6 +28,10 @@
 
 NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
 
+if [ ! -f /usr/bin/qmake6 ]; then
+  QT5OPT="--enable-qt5"
+fi
+
 # Automatically determine the architecture we're building on:
 if [ -z "$ARCH" ]; then
   case "$( uname -m )" in
@@ -104,6 +108,7 @@
   --enable-gtk \
   --program-prefix= \
   --program-suffix= \
+  $QT5OPT \
   --with-buildstamp=$ARCH-slackware-linux \
   --build=$ARCH-slackware-linux || exit 1
 
diff -ur slackware64-current.2/source/xap/audacious-plugins/audacious-plugins.SlackBuild slackware64-current.3/source/xap/audacious-plugins/audacious-plugins.SlackBuild
--- slackware64-current.2/source/xap/audacious-plugins/audacious-plugins.SlackBuild	2024-06-15 18:49:33.132082855 +0200
+++ slackware64-current.3/source/xap/audacious-plugins/audacious-plugins.SlackBuild	2024-06-17 19:28:46.923336842 +0200
@@ -31,6 +31,10 @@
 
 NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
 
+if [ ! -f /usr/bin/qmake6 ]; then
+  QT5OPT="--enable-qt5"
+fi
+
 # Automatically determine the architecture we're building on:
 if [ -z "$ARCH" ]; then
   case "$( uname -m )" in
@@ -108,6 +112,7 @@
   --enable-gtk \
   --program-prefix= \
   --program-suffix= \
+  $QT5OPT \
   ${FAAD} \
   --build=$ARCH-slackware-linux || exit 1
 
diff -ur slackware64-current.2/source/xap/blackbox/blackbox.SlackBuild slackware64-current.3/source/xap/blackbox/blackbox.SlackBuild
--- slackware64-current.2/source/xap/blackbox/blackbox.SlackBuild	2021-04-18 20:11:00.718666090 +0200
+++ slackware64-current.3/source/xap/blackbox/blackbox.SlackBuild	2021-09-18 13:43:06.247569983 +0200
@@ -85,6 +85,9 @@
 tar xvf $CWD/${SRCNAM}-$VERSION.tar.?z || exit 1
 cd ${SRCNAM}-$VERSION || exit 1
 
+# Fix time64 "max" on 32 bits platforms:
+zcat $CWD/std_max_time64.diff.gz | patch -p1 --verbose || exit 1
+
 # Make sure ownerships and permissions are sane:
 chown -R root:root .
 find . \
diff -ur slackware64-current.2/source/xap/electricsheep/electricsheep.SlackBuild slackware64-current.3/source/xap/electricsheep/electricsheep.SlackBuild
--- slackware64-current.2/source/xap/electricsheep/electricsheep.SlackBuild	2025-06-02 00:02:33.240200109 +0200
+++ slackware64-current.3/source/xap/electricsheep/electricsheep.SlackBuild	2025-08-01 20:15:59.411317709 +0200
@@ -253,6 +253,8 @@
 # Don't ship .la files:
 rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
 
+# Ignore error "could not preserve permissions" that could be raised with qemu
+set +e
 # Add documentation:
 mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION/{flam3,ffmpeg}
 ( cd client
diff -ur slackware64-current.2/source/xap/freerdp/freerdp.SlackBuild slackware64-current.3/source/xap/freerdp/freerdp.SlackBuild
--- slackware64-current.2/source/xap/freerdp/freerdp.SlackBuild	2024-10-10 19:40:36.098485768 +0200
+++ slackware64-current.3/source/xap/freerdp/freerdp.SlackBuild	2025-01-07 13:31:37.533397088 +0100
@@ -84,6 +84,7 @@
 cat $CWD/d0c5b1ae.patch | patch -p1 --verbose || exit 1
 
 # Configure, build, and install:
+export LDFLAGS="$SLKLDFLAGS"
 mkdir cmake-build
 cd cmake-build
   cmake \
@@ -107,6 +108,7 @@
     -DWITH_SERVER=ON \
     -DWITH_CAIRO=ON \
     -DBUILD_TESTING=OFF \
+    $CMAKE_EXTRA \
     .. || exit 1
   make $NUMJOBS || make || exit 1
   make install DESTDIR=$PKG || exit 1
diff -ur slackware64-current.2/source/xap/mozilla-firefox/mozilla-firefox.SlackBuild slackware64-current.3/source/xap/mozilla-firefox/mozilla-firefox.SlackBuild
--- slackware64-current.2/source/xap/mozilla-firefox/mozilla-firefox.SlackBuild	2024-12-12 22:09:01.787994314 +0100
+++ slackware64-current.3/source/xap/mozilla-firefox/mozilla-firefox.SlackBuild	2025-01-07 13:31:37.873415274 +0100
@@ -134,6 +134,8 @@
 # PGO is disabled by default:
 PGO=${PGO:-no}
 
+EXTRACONF="--disable-elf-hack"
+
 if [ "$ARCH" = "i686" ]; then
   SLKCFLAGS="-g0"
   LIBDIRSUFFIX=""
@@ -206,6 +208,12 @@
 # Fix build with recent Python:
 cat $CWD/b0dbc944fb7b.patch | patch -p1 --verbose || exit 1
 
+# Fix incorrect wav signed-samples byte order swap on big-endian:
+zcat $CWD/webrtc-wav_file-big_endian.diff.gz | patch -p1 --verbose || exit 1
+
+# Fix incorrect time_t size comparison on 32 bit when _TIME_BITS is set to 64:
+zcat $CWD/libevent_tim64_on_32bit.diff.gz | patch -p1 --verbose || exit 1
+
 # Fetch localization, if requested
 # https://bugzilla.mozilla.org/show_bug.cgi?id=1256955
 if [ ! -z $MOZLOCALIZE ]; then
@@ -251,7 +259,7 @@
   --disable-crashreporter \
   --disable-debug-symbols \
   --disable-debug \
-  --disable-elf-hack \
+  $EXTRACONF \
   --disable-updater"
 # Complains about missing APNG support in Slackware's libpng:
 # --with-system-png \
@@ -307,7 +315,7 @@
 echo "export CC=\"${CC}\"" >> .mozconfig
 echo "export CXX=\"${CXX}\"" >> .mozconfig
 
-if [ "$COMPILE_X86_UNDER_X86_64" = "true" ]; then
+if [ "$COMPILE_X86_UNDER_X86_64" = "true" -o "$ARCH" = "i686" ]; then
   # Compile for i686 under an x86_64 kernel:
   echo "ac_add_options --host=i686-pc-linux-gnu" >> .mozconfig
   echo "ac_add_options --target=i686-pc-linux-gnu" >> .mozconfig
diff -ur slackware64-current.2/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild slackware64-current.3/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild
--- slackware64-current.2/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild.orig	2024-12-11 22:31:44.531027907 +0100
+++ slackware64-current.2/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild	2025-01-07 13:31:38.073425972 +0100
@@ -82,6 +82,8 @@
   ARCH=i686
 fi
 
+EXTRACONF="--disable-elf-hack"
+
 if [ "$ARCH" = "i686" ]; then
   SLKCFLAGS="-g0 -march=pentium4 -mtune=generic"
   LIBDIRSUFFIX=""
@@ -174,6 +176,21 @@
 # Accept sha1 signatures for a while longer:
 sed -i 's|pref("mail.smime.accept_insecure_sha1_message_signatures", false);|pref("mail.smime.accept_insecure_sha1_message_signatures", true);|g' comm/mail/extensions/am-e2e/prefs/e2e-prefs.js
 
+# Fix incorrect wav signed-samples byte order swap on big-endian:
+zcat $CWD/webrtc-wav_file-big_endian.diff.gz | patch -p1 --verbose || exit 1
+
+# Fix incorrect time_t size comparison on 32 bit when _TIME_BITS is set to 64:
+zcat $CWD/libevent_tim64_on_32bit.diff.gz | patch -p1 --verbose || exit 1
+
+# Fix missing armv7hl architecture alias on botan submodule:
+zcat $CWD/botan_arch_add.diff.gz | patch -p1 --verbose || exit 1
+
+# Restore i686 compile patch (without you need at least pentium4 ARCH):
+# Fix header mismatch on x86 with GCC:
+if [ "$ARCH" = "i686" ]; then
+  zcat $CWD/double_t.x86.diff.gz | patch -p1 --verbose || exit 1
+fi
+
 # Fetch localization, if requested:
 if [ ! -z $MOZLOCALIZE ]; then
   LOC_TAG="THUNDERBIRD_$( echo $VERSION | tr \. _ )_RELEASE"
@@ -222,11 +239,10 @@
   --disable-crashreporter \
   --disable-debug-symbols \
   --disable-debug \
-  --disable-elf-hack \
+  $EXTRACONF \
   --disable-tests \
   --disable-updater \
-  --host=$ARCH-slackware-linux \
-  --target=$ARCH-slackware-linux"
+  "
   # Complains about missing APNG support in Slackware's libpng:
   #--with-system-png \
   # Broken with 12.0:
@@ -274,7 +290,7 @@
 # This directory is also needed or the build will fail:
 mkdir -p mozilla/obj
 
-if [ "$COMPILE_X86_UNDER_X86_64" = "true" ]; then
+if [ "$COMPILE_X86_UNDER_X86_64" = "true" -o "$ARCH" = "i686" ]; then
   # Compile for i686 under an x86_64 kernel:
   echo "ac_add_options --host=i686-pc-linux-gnu" >> .mozconfig
   echo "ac_add_options --target=i686-pc-linux-gnu" >> .mozconfig
diff -ur slackware64-current.2/source/xap/mpv/mpv.SlackBuild slackware64-current.3/source/xap/mpv/mpv.SlackBuild
--- slackware64-current.2/source/xap/mpv/mpv.SlackBuild	2024-06-06 15:04:20.246115408 +0200
+++ slackware64-current.3/source/xap/mpv/mpv.SlackBuild	2024-06-21 12:00:07.202275048 +0200
@@ -123,7 +123,6 @@
   -Dpipewire=enabled \
   -Dsdl2-audio=enabled \
   -Dopenal=enabled \
-  -Dlua=luajit \
   -Djavascript=enabled \
   .. || exit 1
   "${NINJA:=ninja}" $NUMJOBS || exit 1
diff -ur slackware64-current.2/source/xap/seamonkey/seamonkey.SlackBuild slackware64-current.3/source/xap/seamonkey/seamonkey.SlackBuild
--- slackware64-current.2/source/xap/seamonkey/seamonkey.SlackBuild.orig	2021-09-18 13:56:20.067610192 +0200
+++ slackware64-current.2/source/xap/seamonkey/seamonkey.SlackBuild	2021-09-23 03:18:29.156482802 +0200
--- seamonkey.SlackBuild.orig	2024-11-28 21:32:44.328022936 +0100
+++ seamonkey.SlackBuild	2025-01-07 13:31:38.323439345 +0100
@@ -71,6 +71,12 @@
   ELFHACK="--enable-elf-hack"
 fi
 
+case "$ARCH" in
+    arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
+    mips64el) TARGET=$ARCH-slackware-linux-gnuabi64 ;;
+    *)    TARGET=$ARCH-slackware-linux ;;
+esac
+
 # Choose a compiler (gcc/g++ or clang/clang++):
 export CC=${CC:-clang}
 export CXX=${CXX:-clang++}
@@ -132,6 +138,9 @@
 # Retain GTK+ v2 scrolling behavior:
 zcat $CWD/sm.ui.scrollToClick.diff.gz | patch -p2 --verbose || exit 1
 
+# Fix incorrect wav signed-samples byte order swap on big-endian:
+zcat $CWD/webrtc-wav_file-big_endian.diff.gz | patch -p1 --verbose || exit 1
+
 # Make sure the perms/ownerships are sane:
 chown -R root:root .
 find . \
@@ -169,8 +178,8 @@
   --with-system-nss \
   --with-system-zlib \
   --with-unsigned-addon-scopes=app,system \
-  --host=$ARCH-slackware-linux \
-  --target=$ARCH-slackware-linux"
+  --host=$TARGET \
+  --target=$TARGET"
 
 export BUILD_OFFICIAL=1
 export MOZILLA_OFFICIAL=1
diff -ur slackware64-current.2/source/xap/seyon/seyon.SlackBuild slackware64-current.3/source/xap/seyon/seyon.SlackBuild
--- slackware64-current.2/source/xap/seyon/seyon.SlackBuild	2025-06-13 14:41:06.230195347 +0200
+++ slackware64-current.3/source/xap/seyon/seyon.SlackBuild	2025-07-12 13:27:11.560504943 +0200
@@ -88,7 +88,7 @@
 chmod 755 makever.sh
 xmkmf
 # Update CFLAGS:
-sed -i -e "s/-fno-strict-aliasing/-fno-strict-aliasing $SLKCFLAGS/" Makefile
+sed -i -e "s/\(CX\?X\?DEBUGFLAGS = \).*/\1 $SLKCFLAGS/" Makefile
 make || exit 1
 
 make install DESTDIR=$PKG LIBDIR=/usr/share/X11 || exit 1
diff -ur slackware64-current.2/source/xap/ssr/ssr.SlackBuild slackware64-current.3/source/xap/ssr/ssr.SlackBuild
--- slackware64-current.2/source/xap/ssr/ssr.SlackBuild	2024-10-10 19:40:36.098485768 +0200
+++ slackware64-current.3/source/xap/ssr/ssr.SlackBuild	2025-01-07 13:31:38.883469299 +0100
@@ -87,6 +87,11 @@
 # churn of ffmpeg7
 cat $CWD/3001-disable-non-compiling-channel-support.patch | patch -p1 --verbose || exit 1
 
+# Fix missing architectures for glinject (disabled because elfhacks.? remove from 0010 patch):
+#zcat $CWD/elf64-32_define.diff.gz | patch -p1 --verbose || exit 1
+# Fix missing arichitectures for plthook_elf.c:
+zcat $CWD/jump_slot_new_archs.diff.gz | patch -p1 --verbose || exit 1
+
 # Configure, build, and install:
 mkdir cmake-build
 cd cmake-build
diff -ur slackware64-current.2/source/xap/xine-lib/xine-lib.SlackBuild slackware64-current.3/source/xap/xine-lib/xine-lib.SlackBuild
--- slackware64-current.2/source/xap/xine-lib/xine-lib.SlackBuild	2021-10-27 12:31:23.272413690 +0200
+++ slackware64-current.3/source/xap/xine-lib/xine-lib.SlackBuild	2023-08-01 22:19:36.736014470 +0200
@@ -108,6 +111,7 @@
   --disable-vcd \
   --without-speex \
   --without-xcb \
+  $EXTRACONF \
   --with-external-dvdnav || exit 1
 
 make $NUMJOBS || make || exit 1
diff -ur slackware64-current.2/source/xap/xscreensaver/xscreensaver.SlackBuild slackware64-current.3/source/xap/xscreensaver/xscreensaver.SlackBuild
--- slackware64-current.2/source/xap/xscreensaver/xscreensaver.SlackBuild	2024-08-12 22:34:34.057809872 +0200
+++ slackware64-current.3/source/xap/xscreensaver/xscreensaver.SlackBuild	2025-01-07 13:31:39.383496043 +0100
@@ -77,6 +77,9 @@
 # helpful to distributions.
 zcat $CWD/xscreensaver.no.expiration.date.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
 
+# Remove NEON usage (it does not compile):
+zcat $CWD/xscreensaver.disable_neon.diff.gz | patch -p1 --verbose || exit 1
+
 chown -R root:root .
 find . \
   \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff -ur slackware64-current.2/source/xfce/elementary-xfce/elementary-xfce.SlackBuild slackware64-current.3/source/xfce/elementary-xfce/elementary-xfce.SlackBuild
--- slackware64-current.2/source/xfce/elementary-xfce/elementary-xfce.SlackBuild	2024-10-19 23:22:26.589208886 +0200
+++ slackware64-current.3/source/xfce/elementary-xfce/elementary-xfce.SlackBuild	2024-10-21 20:08:58.777016564 +0200
@@ -72,7 +72,7 @@
 tar xvf $CWD/optipng-*.tar.lz || exit 1
 cd optipng-*
 CFLAGS="$SLKCFLAGS" \
-./configure || exit 1
+./configure -with-system-libs || exit 1
 make $NUMJOBS -C src/optipng || exit 1
 mkdir $TMP/package-optipng
 cp src/optipng/optipng $TMP/package-optipng || exit 1
diff -ur slackware64-current.2/source/xfce/xfwm4/xfwm4.SlackBuild slackware64-current.3/source/xfce/xfwm4/xfwm4.SlackBuild
--- slackware64-current.2/source/xfce/xfwm4/xfwm4.SlackBuild	2024-12-18 17:01:33.671040289 +0100
+++ slackware64-current.3/source/xfce/xfwm4/xfwm4.SlackBuild	2025-06-09 21:29:10.333967986 +0200
@@ -72,6 +72,9 @@
 tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
 cd $PKGNAM-$VERSION || exit 1
 
+# Restore original tv_sec and tv_usec types for patched startup-notification library (time64 on 32 bit systems):
+zcat $CWD/startup-notification_time64.diff.gz | patch -p1 --verbose || exit 1
+
 chown -R root:root .
 find . \
   \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
#
# Placeholder for rust-for-mozilla in extra (copy from source.d.rust)
diff -ur slackware64-current.2/testing/source/rust/rust.SlackBuild slackware64-current.3/testing/source/rust/rust.SlackBuild
--- slackware64-current.2/testing/source/rust/rust.SlackBuild	2021-09-09 19:19:52.527012986 +0200
+++ slackware64-current.3/testing/source/rust/rust.SlackBuild	2021-09-18 13:42:54.186961238 +0200
@@ -74,14 +74,18 @@
 fi
 
 # Fail on undeclared variables and broken pipes:
-set -u -o pipefail
+set -o pipefail
 
 # If the bootstrap binaries are present, use those. Otherwise bootstrap from
 # installed compiler.
-if /bin/ls *-unknown-linux-gnu.tar.?z 1> /dev/null 2> /dev/null ; then
+if /bin/ls *-unknown-linux-gnu*.tar.?z 1> /dev/null 2> /dev/null ; then
   LOCAL_BOOTSTRAP=no
 else
-  LOCAL_BOOTSTRAP=yes
+  if [ "$LOCAL_BOOTSTRAP" = "" ] && [ -x /usr/bin/cargo ] && [ -x /usr/bin/rustc ] ; then
+    LOCAL_BOOTSTRAP=yes
+  else
+    LOCAL_BOOTSTRAP=no
+  fi
 fi
 
 # https://forge.rust-lang.org/platform-support.html
@@ -97,6 +101,21 @@
 elif [ "$ARCH" = "armv7hl" ]; then
   BARCH="armv7"
   TARCH="$BARCH"
+elif [ "$ARCH" = "arm" ]; then
+  BARCH="armv5te"
+  TARCH="$BARCH"
+elif [ "$ARCH" = "ppc" ]; then
+  BARCH="powerpc"
+  TARCH="$BARCH"
+elif [ "$ARCH" = "ppc64" ]; then
+  BARCH="powerpc64"
+  TARCH="$BARCH"
+elif [ "$ARCH" = "ppc64le" ]; then
+  BARCH="powerpc64le"
+  TARCH="$BARCH"
+elif [ "$ARCH" = "riscv64" ]; then
+  BARCH="riscv64gc"
+  TARCH="$BARCH"
 else
   BARCH="$ARCH"
   TARCH="$ARCH"
@@ -105,6 +124,10 @@
 # Bootstrapping ABI:
 if [ "$ARCH" = "armv7hl" ]; then
   BABI="gnueabihf"
+elif [ "$ARCH" = "arm" ]; then
+  BABI="gnueabi"
+elif [ "$ARCH" = "mips64el" ]; then
+  BABI="gnuabi64"
 else
   BABI="gnu"
 fi
@@ -129,7 +149,8 @@
 
 # Not needed, as the build will automatically use as many jobs as there are
 # threads.
-#NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+JOBS=`echo $NUMJOBS  | sed 's/-j//'`
 
 if [ "$ARCH" = "i586" ]; then
   LIBDIRSUFFIX=""
@@ -144,15 +167,30 @@
 # Support libdir other than "lib":
 cat $CWD/141729.patch | patch -p1 --verbose || exit 1
 
+# Patch armv5te atomic operations (already defined in libgcc) and rls AtomicU64
+if [ "${ARCH}" = "arm" ]; then
+  (
+  cd library/compiler-builtins/compiler-builtins
+  #ckorig=`sha256sum src/arm_linux.rs | cut -f1 -d' '`
+  zcat $CWD/atomic_builtins_gcc9.diff.gz | patch -p3 --verbose || exit 1
+  #cknew=`sha256sum src/arm_linux.rs | cut -f1 -d' '`
+  ## Fix cargo checksum for above patch
+  #sed -i "s/$ckorig/$cknew/" .cargo-checksum.json
+  ) || exit 1
+fi
+
+# Disable useless copy syslib:
+zcat $CWD/disable_copy_syslib.diff.gz | patch -p1 --verbose || exit 1
+
 if [ "$LOCAL_BOOTSTRAP" != "yes" ] ; then
   # rust requires bootstrapping with the previous rust version.
   # versions are defined in src/stage0.txt.
   mkdir -p build/cache/$RSTAGE0_DIR
-  cp $CWD/$PKGNAM-std-$RSTAGE0_VERSION-$BARCH-unknown-linux-gnu.tar.?z \
-     $CWD/$SRCNAM-$RSTAGE0_VERSION-$BARCH-unknown-linux-gnu.tar.?z \
+  cp $CWD/$PKGNAM-std-$RSTAGE0_VERSION-$BARCH-unknown-linux-gnu*.tar.?z \
+     $CWD/$SRCNAM-$RSTAGE0_VERSION-$BARCH-unknown-linux-gnu*.tar.?z \
      build/cache/$RSTAGE0_DIR
   mkdir -p build/cache/$CSTAGE0_DIR
-  cp $CWD/cargo-$CSTAGE0_VERSION-$BARCH-unknown-linux-gnu.tar.?z build/cache/$CSTAGE0_DIR
+  cp $CWD/cargo-$CSTAGE0_VERSION-$BARCH-unknown-linux-gnu*.tar.?z build/cache/$CSTAGE0_DIR
 fi
 
 # Build configuration:
@@ -208,6 +229,7 @@
 # Do not query new versions of dependencies online.
 locked-deps = true
 $BUILDDOCS_OPTION
+jobs = $JOBS
 
 [install]
 prefix = "/usr"
@@ -201,8 +236,45 @@
 [target.x86_64-unknown-linux-gnu]
 llvm-config = "/usr/bin/llvm-config"
 
+[target.arm-unknown-linux-gnueabi]
+llvm-config = "/usr/bin/llvm-config"
+
+[target.armv5te-unknown-linux-gnueabi]
+llvm-config = "/usr/bin/llvm-config"
+
 [target.armv7-unknown-linux-gnueabihf]
 llvm-config = "/usr/bin/llvm-config"
+
+[target.aarch64-unknown-linux-gnu]
+llvm-config = "/usr/bin/llvm-config"
+
+[target.powerpc-unknown-linux-gnu]
+llvm-config = "/usr/bin/llvm-config"
+
+[target.powerpc64-unknown-linux-gnu]
+llvm-config = "/usr/bin/llvm-config"
+
+[target.powerpc64le-unknown-linux-gnu]
+llvm-config = "/usr/bin/llvm-config"
+
+[target.mips-unknown-linux-gnu]
+llvm-config = "/usr/bin/llvm-config"
+
+[target.mipsel-unknown-linux-gnu]
+llvm-config = "/usr/bin/llvm-config"
+
+[target.mips64el-unknown-linux-gnuabi64]
+llvm-config = "/usr/bin/llvm-config"
+
+[target.riscv64gc-unknown-linux-gnu]
+llvm-config = "/usr/bin/llvm-config"
+
+[target.s390x-unknown-linux-gnu]
+llvm-config = "/usr/bin/llvm-config"
+
+[target.loongarch64-unknown-linux-gnu]
+llvm-config = "/usr/bin/llvm-config"
+
 EOF
 fi
 
@@ -236,6 +308,12 @@
   fi
 fi
 
+# On mips[el] from rust 1.74, the error "Undefined temporary symbol $BB217_1" will raise by newer rust. 
+# Adding "-C opt-level=1" is a workaround
+if [ "$ARCH" = "mips" -o "$ARCH" = "mipsel" ]; then
+  export RUSTFLAGS="$RUSTFLAGS -C opt-level=1"
+fi
+
 # Fix path to the rust libraries in rust-analyzer:
 if [ -r src/tools/rust-analyzer/crates/rust-analyzer/src/config.rs ]; then
   if [ ! "$LIBDIRSUFFIX" = "" ]; then
@@ -270,6 +344,11 @@
     sed -i "s,\"lib/rustlib,\"lib${LIBDIRSUFFIX}/rustlib,g" src/tools/rust-analyzer/crates/project-model/src/sysroot.rs
   fi
 fi
+
+if [ "$LOCAL_BOOTSTRAP" = "yes" ] ; then
+  # Launch script to relink rustlib:
+  $CWD/linkrustlib.sh `pwd` $LIBDIRSUFFIX &
+fi
 
 # Build and install:
 export RUST_BACKTRACE=full
@@ -283,7 +361,7 @@
 
 # Evidently there are a lot of duplicated libraries in this tree, so let's
 # try to save some space:
-( cd $PKG/usr/lib${LIBDIRSUFFIX}/rustlib/*-linux-gnu/lib && for file in *.so ; do if cmp -s $file ../../../$file ; then ln -sf ../../../$file .; fi; done )
+( cd $PKG/usr/lib${LIBDIRSUFFIX}/rustlib/*-linux-gnu*/lib && for file in *.so ; do if cmp -s $file ../../../$file ; then ln -sf ../../../$file .; fi; done )
 
 # Strip ELF objects:
 find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
#
#
#
#
#
#
#
# CMAKE LIBDIR fixes
#
